﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sample
{
    public partial class SetRectForm : Form
    {
        public SetRectForm()
        {
            InitializeComponent();
        }

        private void SetRectForm_Load(object sender, EventArgs e)
        {
            // 設定表示
            if (MainForm.enableSetRect)
                rdoDisableSetRect.Checked = true;
            else
                rdoEnableSetRect.Checked = true;

            txtRectLeft.Text = MainForm.rectLeft.ToString();
            txtRectTop.Text = MainForm.rectTop.ToString();
            txtRectRight.Text = MainForm.rectRight.ToString();
            txtRectBottom.Text = MainForm.rectBottom.ToString();

            EnableEditControl(MainForm.enableSetRect);
        }

        private void rdoDisableSetRect_Click(object sender, EventArgs e)
        {
            // 座標入力不可
            EnableEditControl(false);
        }

        private void rdoEnableSetRect_Click(object sender, EventArgs e)
        {
            // 座標入力可
            EnableEditControl(true);
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            // 設定保存
            MainForm.enableSetRect = rdoEnableSetRect.Checked;

            MainForm.rectLeft = int.Parse(txtRectLeft.Text);
            MainForm.rectTop = int.Parse(txtRectTop.Text);
            MainForm.rectRight = int.Parse(txtRectRight.Text);
            MainForm.rectBottom = int.Parse(txtRectBottom.Text);

            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void EnableEditControl(bool blnEnable)
        {
            // 座標入力テキストボックス有効／無効切り換え

            txtRectLeft.Enabled = blnEnable;
            txtRectLeft.ReadOnly = !blnEnable;

            txtRectTop.Enabled = blnEnable;
            txtRectTop.ReadOnly = !blnEnable;

            txtRectRight.Enabled = blnEnable;
            txtRectRight.ReadOnly = !blnEnable;

            txtRectBottom.Enabled = blnEnable;
            txtRectBottom.ReadOnly = !blnEnable;
        }
    }
}
